# Uses of Class
org.apache.sysds.resource.enumeration.EnumerationUtils.InstanceSearchSpace

Packages that use EnumerationUtils.InstanceSearchSpace
Package
Description
org.apache.sysds.resource.enumeration

## Uses of EnumerationUtils.InstanceSearchSpace in org.apache.sysds.resource.enumeration

Methods in org.apache.sysds.resource.enumeration that return EnumerationUtils.InstanceSearchSpace
Modifier and Type
Method
Description
`EnumerationUtils.InstanceSearchSpace`
Enumerator.`getDriverSpace()`
Meant to be used for testing purposes
`EnumerationUtils.InstanceSearchSpace`
Enumerator.`getExecutorSpace()`
Meant to be used for testing purposes
Methods in org.apache.sysds.resource.enumeration with parameters of type EnumerationUtils.InstanceSearchSpace
Modifier and Type
Method
Description
`void`
Enumerator.`setDriverSpace(EnumerationUtils.InstanceSearchSpace inputSpace)`
Meant to be used for testing purposes
`void`
Enumerator.`setExecutorSpace(EnumerationUtils.InstanceSearchSpace inputSpace)`
Meant to be used for testing purposes